Skip to main content
GET
/
api
/
models
/
list
List user models
curl --request GET \
  --url https://models.fineshare.net/api/models/list \
  --header 'Authorization: <authorization>'
{
  "status": "success",
  "models": [
    {
      "modelId": "123e4567-e89b-12d3-a456-426614174000",
      "name": "VoiceModel1",
      "languageCode": "en-US",
      "gender": "male",
      "creationDate": "2024-11-20T12:34:56Z"
    },
    {
      "modelId": "223e4567-e89b-12d3-a456-426614174001",
      "name": "VoiceModel2",
      "languageCode": "en-UK",
      "gender": "female",
      "creationDate": "2024-11-19T08:22:10Z"
    }
  ],
  "pagination": {
    "currentPage": 1,
    "totalPages": 5,
    "totalItems": 50
  }
}

Documentation Index

Fetch the complete documentation index at: https://api.finevoice.ai/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Bearer token for authorization.

Query Parameters

page
integer
required

The page number for pagination.

Example:

1

limit
integer
required

The number of models per page.

Example:

10

Response

List of user models.

status
string
Example:

"success"

models
object[]
pagination
object